package main

import (
	"IPRegion/global"
	"IPRegion/ip2region"
	"encoding/json"
	"fmt"
	"log"
	"net/http"
)

func main() {
	http.HandleFunc("/", IPHandle)
	http.ListenAndServe(":8080", nil)
}

func IPHandle(w http.ResponseWriter, req *http.Request) {
	log.Println("server start!")
	address := req.FormValue("address")
	var ipInfo ip2region.IpInfo
	if address != "" {
		ipInfo, _ = ip2region.GetIPInfo(address, global.SearchType)
	}
	res, _ := json.Marshal(ipInfo)
	fmt.Fprintln(w, string(res))

}
